# API

We define a resource a piece of information that is associated to a dataset. A resource can be classified in three categories:

* queryable resources: this is provided by the geographical APIs available for the dataset.
* static resources: a file that can be downloaded directly. For example a PDF, a CSV.
* others: all other types. It might be for example an URL of a website providing more information about the dataset

## Queryable resources

For each geographical dataset, there is one or multiple interfaces to access geographical data. These interfaces are standards defined by the Open Geospatial Consortium (OGC).
We have one exception, the `WS` service. It is not a standard, and has been developped for specfic needs for the Métropole de Lyon.

* WMS (Web Map Service): allows to get map as images
* WFS (Web Feature Service): manipulate geographical information with coordinates and properties
* WCS (Web Coverage Service): retrieves coverages data (geospatial information representing space/time-varying phenomena)
* KML (Keyhole Markup Service): get XML-based files for GIS softwares
* SOS (Sensor Observation Service): query observation and sensor metadata
* WS

By the way, it is possible to select datasets with the services you want by using the [filters](../search.md#Filters)

Here is an example of the page.
![Geographical services](../../../../assets/webapp/geo-resources.png)

For each service you have the possibility to create a custom reequest (exception for the `SOS` service) and change the options such as the output formats, the projection system or the regions. From that you can copy the custom request, or download the resources that link will give you.
In the previous example in the picture, I would be able to download the image of the 'arbres d'alignement' dataset from the WMS (Web Map Service).

## Static resources

![Static resources](../../../../assets/webapp/download-resources.png)

## Other resources

![Other resources](../../../../assets/webapp/other-resources.png)
